Put instruction entry
Attach or replace one durable instruction entry. Changes announce as updates at the next step boundary.
PUT
/api/session/{sessionID}/instructions/entries/{key}Path parameters
sessionIDobjectrequiredkeyInstructionEntry.KeyrequiredRequest body
requiredapplication/jsonvalueanyrequiredResponses
204<No Content>
400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404SessionNotFoundError
Any of:
SessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredRequest
curl -X PUT "/api/session/%5Bobject%20Object%5D/instructions/entries/%5Bobject%20Object%5D" \
-H "Content-Type: application/json" \
-d '{
"value": "string"
}'const response = await fetch("/api/session/%5Bobject%20Object%5D/instructions/entries/%5Bobject%20Object%5D", {
method: "PUT",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"value": "string"
})
});import requests
response = requests.put(
"/api/session/%5Bobject%20Object%5D/instructions/entries/%5Bobject%20Object%5D",
headers={
"Content-Type": "application/json"
},
json={
"value": "string"
},
)Response
<No Content>
{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "SessionNotFoundError",
"sessionID": "string",
"message": "string"
}